package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.common.exception.ObjectNotFoundException;
import gov.va.vinci.dart.biz.WorkflowTemplate;

public interface WorkflowTemplateDAO  {

	WorkflowTemplate findById(final int workflowTemplateId) throws ObjectNotFoundException;
	WorkflowTemplate findByGroupIdAndWorkflowTypeId(final int groupId, final int workflowTypeId) throws ObjectNotFoundException;
	//WorkflowTemplate findByGroupId(final int groupId) throws ObjectNotFoundException;
	List<WorkflowTemplate> listAll();
	//List<WorkflowTemplate> listByGroupId(final int groupId);
	List<WorkflowTemplate> listByWorkflowTypeId(final int workflowTypeId);
}
